import{s as cn,n as gn,o as un}from"../chunks/scheduler.25b97de1.js";import{S as hn,i as xn,g as s,s as r,r as d,A as _n,h as i,f as n,c as o,j as _,u as f,x as u,k as $,y as t,a as m,v as l,d as p,t as c,w as g}from"../chunks/index.d9030fc9.js";import{D as v}from"../chunks/Docstring.ffac8efa.js";import{H as he,E as $n}from"../chunks/EditOnGithub.91d95064.js";function vn(At){let T,Se,Le,Ie,z,We,V,Rt=`🤗 Transformers provides a <code>transformers.onnx</code> package that enables you to
convert model checkpoints to an ONNX graph by leveraging configuration objects.`,ze,H,jt=`See the <a href="../serialization">guide</a> on exporting 🤗 Transformers models for more
details.`,Ve,X,He,A,Gt=`We provide three abstract classes that you should inherit from, depending on the
type of model architecture you wish to export:`,Xe,R,Ut='<li>Encoder-based models inherit from <a href="/docs/transformers/main/en/main_classes/onnx#transformers.onnx.OnnxConfig">OnnxConfig</a></li> <li>Decoder-based models inherit from <a href="/docs/transformers/main/en/main_classes/onnx#transformers.onnx.OnnxConfigWithPast">OnnxConfigWithPast</a></li> <li>Encoder-decoder models inherit from <a href="/docs/transformers/main/en/main_classes/onnx#transformers.onnx.OnnxSeq2SeqConfigWithPast">OnnxSeq2SeqConfigWithPast</a></li>',Ae,j,Re,h,G,gt,xe,Bt="Base class for ONNX exportable model describing metadata on how to export the model through the ONNX format.",ut,O,U,ht,_e,Jt=`Flatten any potential nested structure expanding the name of the field with the index of the element within the
structure.`,xt,k,B,_t,$e,Kt="Instantiate a OnnxConfig for a specific model",$t,P,J,vt,ve,Qt="Generate inputs to provide to the ONNX exporter for the specific framework",bt,M,K,yt,be,Yt=`Generate inputs for ONNX Runtime using the reference model inputs. Override this to run inference with seq2seq
models which have the encoder and decoder exported as separate ONNX files.`,Ct,F,Q,wt,ye,Zt="Flag indicating if the model requires using external data format",je,Y,Ge,w,Z,Tt,D,ee,Ot,Ce,en="Fill the input_or_outputs mapping with past_key_values dynamic axes considering.",kt,q,te,Pt,we,tn="Instantiate a OnnxConfig with <code>use_past</code> attribute set to True",Ue,ne,Be,re,oe,Je,ae,Ke,se,nn=`Each ONNX configuration is associated with a set of <em>features</em> that enable you
to export models for different types of topologies or tasks.`,Qe,ie,Ye,x,me,Mt,N,de,Ft,Te,rn="Check whether or not the model has the requested features.",Dt,C,fe,qt,Oe,on="Determines the framework to use for the export.",Nt,ke,an="The priority is in the following order:",Lt,Pe,sn="<li>User input via <code>framework</code>.</li> <li>If local checkpoint is provided, use the same framework as the checkpoint.</li> <li>Available framework in environment, with priority given to PyTorch</li>",Et,L,le,St,Me,mn="Gets the OnnxConfig for a model_type and feature combination.",It,E,pe,Wt,Fe,dn="Attempts to retrieve an AutoModel class from a feature name.",zt,S,ce,Vt,De,fn="Attempts to retrieve a model from a model’s name and the feature to be enabled.",Ht,I,ge,Xt,qe,ln="Tries to retrieve the feature -> OnnxConfig constructor map from the model type.",Ze,ue,et,Ee,tt;return z=new he({props:{title:"Exporting 🤗 Transformers models to ONNX",local:"exporting--transformers-models-to-onnx",headingTag:"h1"}}),X=new he({props:{title:"ONNX Configurations",local:"onnx-configurations",headingTag:"h2"}}),j=new he({props:{title:"OnnxConfig",local:"transformers.onnx.OnnxConfig",headingTag:"h3"}}),G=new v({props:{name:"class transformers.onnx.OnnxConfig",anchor:"transformers.onnx.OnnxConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L68"}}),U=new v({props:{name:"flatten_output_collection_property",anchor:"transformers.onnx.OnnxConfig.flatten_output_collection_property",parameters:[{name:"name",val:": str"},{name:"field",val:": typing.Iterable[typing.Any]"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L424",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Outputs with flattened structure and key mapping this new structure.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(Dict[str, Any])</p>
`}}),B=new v({props:{name:"from_model_config",anchor:"transformers.onnx.OnnxConfig.from_model_config",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L127",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig for this model</p>
`}}),J=new v({props:{name:"generate_dummy_inputs",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs",parameters:[{name:"preprocessor",val:": typing.Union[ForwardRef('PreTrainedTokenizerBase'), ForwardRef('FeatureExtractionMixin'), ForwardRef('ImageProcessingMixin')]"},{name:"batch_size",val:": int = -1"},{name:"seq_length",val:": int = -1"},{name:"num_choices",val:": int = -1"},{name:"is_pair",val:": bool = False"},{name:"framework",val:": typing.Optional[transformers.utils.generic.TensorType] = None"},{name:"num_channels",val:": int = 3"},{name:"image_width",val:": int = 40"},{name:"image_height",val:": int = 40"},{name:"sampling_rate",val:": int = 22050"},{name:"time_duration",val:": float = 5.0"},{name:"frequency",val:": int = 220"},{name:"tokenizer",val:": PreTrainedTokenizerBase = None"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The batch size to export the model for (-1 means dynamic axis).`,name:"batch_size"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_choices",description:`<strong>num_choices</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The number of candidate answers provided for multiple choice task (-1 means dynamic axis).`,name:"num_choices"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.seq_length",description:`<strong>seq_length</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The sequence length to export the model for (-1 means dynamic axis).`,name:"seq_length"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.is_pair",description:`<strong>is_pair</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Indicate if the input is a pair (sentence 1, sentence 2)`,name:"is_pair"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.framework",description:`<strong>framework</strong> (<code>TensorType</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework (PyTorch or TensorFlow) that the tokenizer will generate tensors for.`,name:"framework"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of channels of the generated images.`,name:"num_channels"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_width",description:`<strong>image_width</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The width of the generated images.`,name:"image_width"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_height",description:`<strong>image_height</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The height of the generated images.`,name:"image_height"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em> defaults to 22050) &#x2014;
The sampling rate for audio data generation.`,name:"sampling_rate"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.time_duration",description:`<strong>time_duration</strong> (<code>float</code>, <em>optional</em> defaults to 5.0) &#x2014;
Total seconds of sampling for audio data generation.`,name:"time_duration"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.frequency",description:`<strong>frequency</strong> (<code>int</code>, <em>optional</em> defaults to 220) &#x2014;
The desired natural frequency of generated audio.`,name:"frequency"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L280",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Mapping[str, Tensor] holding the kwargs to provide to the model’s forward function</p>
`}}),K=new v({props:{name:"generate_dummy_inputs_onnxruntime",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime",parameters:[{name:"reference_model_inputs",val:": typing.Mapping[str, typing.Any]"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime.reference_model_inputs",description:`<strong>reference_model_inputs</strong> ([<code>Mapping[str, Tensor]</code>) &#x2014;
Reference inputs for the model.`,name:"reference_model_inputs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L400",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The mapping holding the kwargs to provide to the model’s forward function</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Mapping[str, Tensor]</code></p>
`}}),Q=new v({props:{name:"use_external_data_format",anchor:"transformers.onnx.OnnxConfig.use_external_data_format",parameters:[{name:"num_parameters",val:": int"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L241",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>True if model.num_parameters() * size_of(float32) >= 2Gb False otherwise</p>
`}}),Y=new he({props:{title:"OnnxConfigWithPast",local:"transformers.onnx.OnnxConfigWithPast",headingTag:"h3"}}),Z=new v({props:{name:"class transformers.onnx.OnnxConfigWithPast",anchor:"transformers.onnx.OnnxConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L443"}}),ee=new v({props:{name:"fill_with_past_key_values_",anchor:"transformers.onnx.OnnxConfigWithPast.fill_with_past_key_values_",parameters:[{name:"inputs_or_outputs",val:": typing.Mapping[str, typing.Mapping[int, str]]"},{name:"direction",val:": str"},{name:"inverted_values_shape",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L550"}}),te=new v({props:{name:"with_past",anchor:"transformers.onnx.OnnxConfigWithPast.with_past",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L454",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig with <code>.use_past = True</code></p>
`}}),ne=new he({props:{title:"OnnxSeq2SeqConfigWithPast",local:"transformers.onnx.OnnxSeq2SeqConfigWithPast",headingTag:"h3"}}),oe=new v({props:{name:"class transformers.onnx.OnnxSeq2SeqConfigWithPast",anchor:"transformers.onnx.OnnxSeq2SeqConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L590"}}),ae=new he({props:{title:"ONNX Features",local:"onnx-features",headingTag:"h2"}}),ie=new he({props:{title:"FeaturesManager",local:"transformers.onnx.FeaturesManager",headingTag:"h3"}}),me=new v({props:{name:"class transformers.onnx.FeaturesManager",anchor:"transformers.onnx.FeaturesManager",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L85"}}),de=new v({props:{name:"check_supported_model_or_raise",anchor:"transformers.onnx.FeaturesManager.check_supported_model_or_raise",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"feature",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L711",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(str) The type of the model (OnnxConfig) The OnnxConfig instance holding the model export properties.</p>
`}}),fe=new v({props:{name:"determine_framework",anchor:"transformers.onnx.FeaturesManager.determine_framework",parameters:[{name:"model",val:": str"},{name:"framework",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.determine_framework.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.determine_framework.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See above for priority if none provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L628",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The framework to use for the export.</p>
`}}),le=new v({props:{name:"get_config",anchor:"transformers.onnx.FeaturesManager.get_config",parameters:[{name:"model_type",val:": str"},{name:"feature",val:": str"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_config.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the config for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_config.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature to retrieve the config for.`,name:"feature"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L736",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>config for the combination</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>OnnxConfig</code></p>
`}}),pe=new v({props:{name:"get_model_class_for_feature",anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature",parameters:[{name:"feature",val:": str"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The framework to use for the export.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L601",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The AutoModel class corresponding to the feature.</p>
`}}),ce=new v({props:{name:"get_model_from_feature",anchor:"transformers.onnx.FeaturesManager.get_model_from_feature",parameters:[{name:"feature",val:": str"},{name:"model",val:": str"},{name:"framework",val:": str = None"},{name:"cache_dir",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See <code>FeaturesManager.determine_framework</code> for the priority should
none be provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L678",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The instance of the model.</p>
`}}),ge=new v({props:{name:"get_supported_features_for_model_type",anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type",parameters:[{name:"model_type",val:": str"},{name:"model_name",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the supported features for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_name",description:`<strong>model_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name attribute of the model object, only used for the exception message.`,name:"model_name"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L556",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The dictionary mapping each feature to a corresponding OnnxConfig constructor.</p>
`}}),ue=new $n({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/main_classes/onnx.md"}}),{c(){T=s("meta"),Se=r(),Le=s("p"),Ie=r(),d(z.$$.fragment),We=r(),V=s("p"),V.innerHTML=Rt,ze=r(),H=s("p"),H.innerHTML=jt,Ve=r(),d(X.$$.fragment),He=r(),A=s("p"),A.textContent=Gt,Xe=r(),R=s("ul"),R.innerHTML=Ut,Ae=r(),d(j.$$.fragment),Re=r(),h=s("div"),d(G.$$.fragment),gt=r(),xe=s("p"),xe.textContent=Bt,ut=r(),O=s("div"),d(U.$$.fragment),ht=r(),_e=s("p"),_e.textContent=Jt,xt=r(),k=s("div"),d(B.$$.fragment),_t=r(),$e=s("p"),$e.textContent=Kt,$t=r(),P=s("div"),d(J.$$.fragment),vt=r(),ve=s("p"),ve.textContent=Qt,bt=r(),M=s("div"),d(K.$$.fragment),yt=r(),be=s("p"),be.textContent=Yt,Ct=r(),F=s("div"),d(Q.$$.fragment),wt=r(),ye=s("p"),ye.textContent=Zt,je=r(),d(Y.$$.fragment),Ge=r(),w=s("div"),d(Z.$$.fragment),Tt=r(),D=s("div"),d(ee.$$.fragment),Ot=r(),Ce=s("p"),Ce.textContent=en,kt=r(),q=s("div"),d(te.$$.fragment),Pt=r(),we=s("p"),we.innerHTML=tn,Ue=r(),d(ne.$$.fragment),Be=r(),re=s("div"),d(oe.$$.fragment),Je=r(),d(ae.$$.fragment),Ke=r(),se=s("p"),se.innerHTML=nn,Qe=r(),d(ie.$$.fragment),Ye=r(),x=s("div"),d(me.$$.fragment),Mt=r(),N=s("div"),d(de.$$.fragment),Ft=r(),Te=s("p"),Te.textContent=rn,Dt=r(),C=s("div"),d(fe.$$.fragment),qt=r(),Oe=s("p"),Oe.textContent=on,Nt=r(),ke=s("p"),ke.textContent=an,Lt=r(),Pe=s("ol"),Pe.innerHTML=sn,Et=r(),L=s("div"),d(le.$$.fragment),St=r(),Me=s("p"),Me.textContent=mn,It=r(),E=s("div"),d(pe.$$.fragment),Wt=r(),Fe=s("p"),Fe.textContent=dn,zt=r(),S=s("div"),d(ce.$$.fragment),Vt=r(),De=s("p"),De.textContent=fn,Ht=r(),I=s("div"),d(ge.$$.fragment),Xt=r(),qe=s("p"),qe.textContent=ln,Ze=r(),d(ue.$$.fragment),et=r(),Ee=s("p"),this.h()},l(e){const a=_n("svelte-u9bgzb",document.head);T=i(a,"META",{name:!0,content:!0}),a.forEach(n),Se=o(e),Le=i(e,"P",{}),_(Le).forEach(n),Ie=o(e),f(z.$$.fragment,e),We=o(e),V=i(e,"P",{"data-svelte-h":!0}),u(V)!=="svelte-4jsgzi"&&(V.innerHTML=Rt),ze=o(e),H=i(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-1nfy7l0"&&(H.innerHTML=jt),Ve=o(e),f(X.$$.fragment,e),He=o(e),A=i(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-10ifyz5"&&(A.textContent=Gt),Xe=o(e),R=i(e,"UL",{"data-svelte-h":!0}),u(R)!=="svelte-1g38hxy"&&(R.innerHTML=Ut),Ae=o(e),f(j.$$.fragment,e),Re=o(e),h=i(e,"DIV",{class:!0});var b=_(h);f(G.$$.fragment,b),gt=o(b),xe=i(b,"P",{"data-svelte-h":!0}),u(xe)!=="svelte-1gqzpaz"&&(xe.textContent=Bt),ut=o(b),O=i(b,"DIV",{class:!0});var nt=_(O);f(U.$$.fragment,nt),ht=o(nt),_e=i(nt,"P",{"data-svelte-h":!0}),u(_e)!=="svelte-1lfqihc"&&(_e.textContent=Jt),nt.forEach(n),xt=o(b),k=i(b,"DIV",{class:!0});var rt=_(k);f(B.$$.fragment,rt),_t=o(rt),$e=i(rt,"P",{"data-svelte-h":!0}),u($e)!=="svelte-1u54gj1"&&($e.textContent=Kt),rt.forEach(n),$t=o(b),P=i(b,"DIV",{class:!0});var ot=_(P);f(J.$$.fragment,ot),vt=o(ot),ve=i(ot,"P",{"data-svelte-h":!0}),u(ve)!=="svelte-1oyyynq"&&(ve.textContent=Qt),ot.forEach(n),bt=o(b),M=i(b,"DIV",{class:!0});var at=_(M);f(K.$$.fragment,at),yt=o(at),be=i(at,"P",{"data-svelte-h":!0}),u(be)!=="svelte-tenqiw"&&(be.textContent=Yt),at.forEach(n),Ct=o(b),F=i(b,"DIV",{class:!0});var st=_(F);f(Q.$$.fragment,st),wt=o(st),ye=i(st,"P",{"data-svelte-h":!0}),u(ye)!=="svelte-coevd"&&(ye.textContent=Zt),st.forEach(n),b.forEach(n),je=o(e),f(Y.$$.fragment,e),Ge=o(e),w=i(e,"DIV",{class:!0});var Ne=_(w);f(Z.$$.fragment,Ne),Tt=o(Ne),D=i(Ne,"DIV",{class:!0});var it=_(D);f(ee.$$.fragment,it),Ot=o(it),Ce=i(it,"P",{"data-svelte-h":!0}),u(Ce)!=="svelte-1bh80il"&&(Ce.textContent=en),it.forEach(n),kt=o(Ne),q=i(Ne,"DIV",{class:!0});var mt=_(q);f(te.$$.fragment,mt),Pt=o(mt),we=i(mt,"P",{"data-svelte-h":!0}),u(we)!=="svelte-1kg2yu2"&&(we.innerHTML=tn),mt.forEach(n),Ne.forEach(n),Ue=o(e),f(ne.$$.fragment,e),Be=o(e),re=i(e,"DIV",{class:!0});var pn=_(re);f(oe.$$.fragment,pn),pn.forEach(n),Je=o(e),f(ae.$$.fragment,e),Ke=o(e),se=i(e,"P",{"data-svelte-h":!0}),u(se)!=="svelte-a66ofi"&&(se.innerHTML=nn),Qe=o(e),f(ie.$$.fragment,e),Ye=o(e),x=i(e,"DIV",{class:!0});var y=_(x);f(me.$$.fragment,y),Mt=o(y),N=i(y,"DIV",{class:!0});var dt=_(N);f(de.$$.fragment,dt),Ft=o(dt),Te=i(dt,"P",{"data-svelte-h":!0}),u(Te)!=="svelte-rlyyl3"&&(Te.textContent=rn),dt.forEach(n),Dt=o(y),C=i(y,"DIV",{class:!0});var W=_(C);f(fe.$$.fragment,W),qt=o(W),Oe=i(W,"P",{"data-svelte-h":!0}),u(Oe)!=="svelte-rshgf5"&&(Oe.textContent=on),Nt=o(W),ke=i(W,"P",{"data-svelte-h":!0}),u(ke)!=="svelte-1wbth9c"&&(ke.textContent=an),Lt=o(W),Pe=i(W,"OL",{"data-svelte-h":!0}),u(Pe)!=="svelte-qby6wj"&&(Pe.innerHTML=sn),W.forEach(n),Et=o(y),L=i(y,"DIV",{class:!0});var ft=_(L);f(le.$$.fragment,ft),St=o(ft),Me=i(ft,"P",{"data-svelte-h":!0}),u(Me)!=="svelte-il0adz"&&(Me.textContent=mn),ft.forEach(n),It=o(y),E=i(y,"DIV",{class:!0});var lt=_(E);f(pe.$$.fragment,lt),Wt=o(lt),Fe=i(lt,"P",{"data-svelte-h":!0}),u(Fe)!=="svelte-k5ftuy"&&(Fe.textContent=dn),lt.forEach(n),zt=o(y),S=i(y,"DIV",{class:!0});var pt=_(S);f(ce.$$.fragment,pt),Vt=o(pt),De=i(pt,"P",{"data-svelte-h":!0}),u(De)!=="svelte-auvjm5"&&(De.textContent=fn),pt.forEach(n),Ht=o(y),I=i(y,"DIV",{class:!0});var ct=_(I);f(ge.$$.fragment,ct),Xt=o(ct),qe=i(ct,"P",{"data-svelte-h":!0}),u(qe)!=="svelte-tbalh5"&&(qe.textContent=ln),ct.forEach(n),y.forEach(n),Ze=o(e),f(ue.$$.fragment,e),et=o(e),Ee=i(e,"P",{}),_(Ee).forEach(n),this.h()},h(){$(T,"name","hf:doc:metadata"),$(T,"content",bn),$(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,T),m(e,Se,a),m(e,Le,a),m(e,Ie,a),l(z,e,a),m(e,We,a),m(e,V,a),m(e,ze,a),m(e,H,a),m(e,Ve,a),l(X,e,a),m(e,He,a),m(e,A,a),m(e,Xe,a),m(e,R,a),m(e,Ae,a),l(j,e,a),m(e,Re,a),m(e,h,a),l(G,h,null),t(h,gt),t(h,xe),t(h,ut),t(h,O),l(U,O,null),t(O,ht),t(O,_e),t(h,xt),t(h,k),l(B,k,null),t(k,_t),t(k,$e),t(h,$t),t(h,P),l(J,P,null),t(P,vt),t(P,ve),t(h,bt),t(h,M),l(K,M,null),t(M,yt),t(M,be),t(h,Ct),t(h,F),l(Q,F,null),t(F,wt),t(F,ye),m(e,je,a),l(Y,e,a),m(e,Ge,a),m(e,w,a),l(Z,w,null),t(w,Tt),t(w,D),l(ee,D,null),t(D,Ot),t(D,Ce),t(w,kt),t(w,q),l(te,q,null),t(q,Pt),t(q,we),m(e,Ue,a),l(ne,e,a),m(e,Be,a),m(e,re,a),l(oe,re,null),m(e,Je,a),l(ae,e,a),m(e,Ke,a),m(e,se,a),m(e,Qe,a),l(ie,e,a),m(e,Ye,a),m(e,x,a),l(me,x,null),t(x,Mt),t(x,N),l(de,N,null),t(N,Ft),t(N,Te),t(x,Dt),t(x,C),l(fe,C,null),t(C,qt),t(C,Oe),t(C,Nt),t(C,ke),t(C,Lt),t(C,Pe),t(x,Et),t(x,L),l(le,L,null),t(L,St),t(L,Me),t(x,It),t(x,E),l(pe,E,null),t(E,Wt),t(E,Fe),t(x,zt),t(x,S),l(ce,S,null),t(S,Vt),t(S,De),t(x,Ht),t(x,I),l(ge,I,null),t(I,Xt),t(I,qe),m(e,Ze,a),l(ue,e,a),m(e,et,a),m(e,Ee,a),tt=!0},p:gn,i(e){tt||(p(z.$$.fragment,e),p(X.$$.fragment,e),p(j.$$.fragment,e),p(G.$$.fragment,e),p(U.$$.fragment,e),p(B.$$.fragment,e),p(J.$$.fragment,e),p(K.$$.fragment,e),p(Q.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(te.$$.fragment,e),p(ne.$$.fragment,e),p(oe.$$.fragment,e),p(ae.$$.fragment,e),p(ie.$$.fragment,e),p(me.$$.fragment,e),p(de.$$.fragment,e),p(fe.$$.fragment,e),p(le.$$.fragment,e),p(pe.$$.fragment,e),p(ce.$$.fragment,e),p(ge.$$.fragment,e),p(ue.$$.fragment,e),tt=!0)},o(e){c(z.$$.fragment,e),c(X.$$.fragment,e),c(j.$$.fragment,e),c(G.$$.fragment,e),c(U.$$.fragment,e),c(B.$$.fragment,e),c(J.$$.fragment,e),c(K.$$.fragment,e),c(Q.$$.fragment,e),c(Y.$$.fragment,e),c(Z.$$.fragment,e),c(ee.$$.fragment,e),c(te.$$.fragment,e),c(ne.$$.fragment,e),c(oe.$$.fragment,e),c(ae.$$.fragment,e),c(ie.$$.fragment,e),c(me.$$.fragment,e),c(de.$$.fragment,e),c(fe.$$.fragment,e),c(le.$$.fragment,e),c(pe.$$.fragment,e),c(ce.$$.fragment,e),c(ge.$$.fragment,e),c(ue.$$.fragment,e),tt=!1},d(e){e&&(n(Se),n(Le),n(Ie),n(We),n(V),n(ze),n(H),n(Ve),n(He),n(A),n(Xe),n(R),n(Ae),n(Re),n(h),n(je),n(Ge),n(w),n(Ue),n(Be),n(re),n(Je),n(Ke),n(se),n(Qe),n(Ye),n(x),n(Ze),n(et),n(Ee)),n(T),g(z,e),g(X,e),g(j,e),g(G),g(U),g(B),g(J),g(K),g(Q),g(Y,e),g(Z),g(ee),g(te),g(ne,e),g(oe),g(ae,e),g(ie,e),g(me),g(de),g(fe),g(le),g(pe),g(ce),g(ge),g(ue,e)}}}const bn='{"title":"Exporting 🤗 Transformers models to ONNX","local":"exporting--transformers-models-to-onnx","sections":[{"title":"ONNX Configurations","local":"onnx-configurations","sections":[{"title":"OnnxConfig","local":"transformers.onnx.OnnxConfig","sections":[],"depth":3},{"title":"OnnxConfigWithPast","local":"transformers.onnx.OnnxConfigWithPast","sections":[],"depth":3},{"title":"OnnxSeq2SeqConfigWithPast","local":"transformers.onnx.OnnxSeq2SeqConfigWithPast","sections":[],"depth":3}],"depth":2},{"title":"ONNX Features","local":"onnx-features","sections":[{"title":"FeaturesManager","local":"transformers.onnx.FeaturesManager","sections":[],"depth":3}],"depth":2}],"depth":1}';function yn(At){return un(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class kn extends hn{constructor(T){super(),xn(this,T,yn,vn,cn,{})}}export{kn as component};
