import{s as cn,n as gn,o as un}from"../chunks/scheduler.9bc65507.js";import{S as hn,i as xn,g as s,s as r,r as l,A as _n,h as i,f as n,c as o,j as _,u as f,x as u,k as $,y as t,a as m,v as d,d as p,t as c,w as g}from"../chunks/index.707bf1b6.js";import{D as v}from"../chunks/Docstring.570ddb64.js";import{H as he,E as $n}from"../chunks/EditOnGithub.922df6ba.js";function vn(At){let T,Se,Le,Ie,V,We,z,jt=`🤗 Transformers は <code>transformers.onnx</code> パッケージを提供します。
設定オブジェクトを利用することで、モデルのチェックポイントをONNXグラフに変換することができます。`,Ve,H,Rt=`詳細は<a href="../serialization">ガイド</a> を参照してください。
を参照してください。`,ze,X,He,A,Gt=`以下の3つの抽象クラスを提供しています。
エクスポートしたいモデルアーキテクチャのタイプに応じて、継承すべき3つの抽象クラスを提供します：`,Xe,j,Ut='<li>エンコーダーベースのモデルは <a href="/docs/transformers/main/ja/main_classes/onnx#transformers.onnx.OnnxConfig">OnnxConfig</a> を継承します。</li> <li>デコーダーベースのモデルは <a href="/docs/transformers/main/ja/main_classes/onnx#transformers.onnx.OnnxConfigWithPast">OnnxConfigWithPast</a> を継承します。</li> <li>エンコーダー・デコーダーモデルは <a href="/docs/transformers/main/ja/main_classes/onnx#transformers.onnx.OnnxSeq2SeqConfigWithPast">OnnxSeq2SeqConfigWithPast</a> を継承しています。</li>',Ae,R,je,h,G,gt,xe,Bt="Base class for ONNX exportable model describing metadata on how to export the model through the ONNX format.",ut,O,U,ht,_e,Jt=`Flatten any potential nested structure expanding the name of the field with the index of the element within the
structure.`,xt,P,B,_t,$e,Kt="Instantiate a OnnxConfig for a specific model",$t,k,J,vt,ve,Qt="Generate inputs to provide to the ONNX exporter for the specific framework",bt,M,K,yt,be,Yt=`Generate inputs for ONNX Runtime using the reference model inputs. Override this to run inference with seq2seq
models which have the encoder and decoder exported as separate ONNX files.`,Ct,F,Q,wt,ye,Zt="Flag indicating if the model requires using external data format",Re,Y,Ge,w,Z,Tt,q,ee,Ot,Ce,en="Fill the input_or_outputs mapping with past_key_values dynamic axes considering.",Pt,D,te,kt,we,tn="Instantiate a OnnxConfig with <code>use_past</code> attribute set to True",Ue,ne,Be,re,oe,Je,ae,Ke,se,nn=`各 ONNX 構成は、次のことを可能にする一連の <em>機能</em> に関連付けられています。
さまざまなタイプのトポロジまたはタスクのモデルをエクスポートします。`,Qe,ie,Ye,x,me,Mt,N,le,Ft,Te,rn="Check whether or not the model has the requested features.",qt,C,fe,Dt,Oe,on="Determines the framework to use for the export.",Nt,Pe,an="The priority is in the following order:",Lt,ke,sn="<li>User input via <code>framework</code>.</li> <li>If local checkpoint is provided, use the same framework as the checkpoint.</li> <li>Available framework in environment, with priority given to PyTorch</li>",Et,L,de,St,Me,mn="Gets the OnnxConfig for a model_type and feature combination.",It,E,pe,Wt,Fe,ln="Attempts to retrieve an AutoModel class from a feature name.",Vt,S,ce,zt,qe,fn="Attempts to retrieve a model from a model’s name and the feature to be enabled.",Ht,I,ge,Xt,De,dn="Tries to retrieve the feature -> OnnxConfig constructor map from the model type.",Ze,ue,et,Ee,tt;return V=new he({props:{title:"Exporting 🤗 Transformers models to ONNX",local:"exporting--transformers-models-to-onnx",headingTag:"h1"}}),X=new he({props:{title:"ONNX Configurations",local:"onnx-configurations",headingTag:"h2"}}),R=new he({props:{title:"OnnxConfig",local:"transformers.onnx.OnnxConfig",headingTag:"h3"}}),G=new v({props:{name:"class transformers.onnx.OnnxConfig",anchor:"transformers.onnx.OnnxConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L68"}}),U=new v({props:{name:"flatten_output_collection_property",anchor:"transformers.onnx.OnnxConfig.flatten_output_collection_property",parameters:[{name:"name",val:": str"},{name:"field",val:": typing.Iterable[typing.Any]"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L424",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Outputs with flattened structure and key mapping this new structure.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(Dict[str, Any])</p>
`}}),B=new v({props:{name:"from_model_config",anchor:"transformers.onnx.OnnxConfig.from_model_config",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L127",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig for this model</p>
`}}),J=new v({props:{name:"generate_dummy_inputs",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs",parameters:[{name:"preprocessor",val:": typing.Union[ForwardRef('PreTrainedTokenizerBase'), ForwardRef('FeatureExtractionMixin'), ForwardRef('ImageProcessingMixin')]"},{name:"batch_size",val:": int = -1"},{name:"seq_length",val:": int = -1"},{name:"num_choices",val:": int = -1"},{name:"is_pair",val:": bool = False"},{name:"framework",val:": typing.Optional[transformers.utils.generic.TensorType] = None"},{name:"num_channels",val:": int = 3"},{name:"image_width",val:": int = 40"},{name:"image_height",val:": int = 40"},{name:"sampling_rate",val:": int = 22050"},{name:"time_duration",val:": float = 5.0"},{name:"frequency",val:": int = 220"},{name:"tokenizer",val:": PreTrainedTokenizerBase = None"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The batch size to export the model for (-1 means dynamic axis).`,name:"batch_size"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_choices",description:`<strong>num_choices</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The number of candidate answers provided for multiple choice task (-1 means dynamic axis).`,name:"num_choices"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.seq_length",description:`<strong>seq_length</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The sequence length to export the model for (-1 means dynamic axis).`,name:"seq_length"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.is_pair",description:`<strong>is_pair</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Indicate if the input is a pair (sentence 1, sentence 2)`,name:"is_pair"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.framework",description:`<strong>framework</strong> (<code>TensorType</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework (PyTorch or TensorFlow) that the tokenizer will generate tensors for.`,name:"framework"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of channels of the generated images.`,name:"num_channels"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_width",description:`<strong>image_width</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The width of the generated images.`,name:"image_width"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.image_height",description:`<strong>image_height</strong> (<code>int</code>, <em>optional</em>, defaults to 40) &#x2014;
The height of the generated images.`,name:"image_height"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em> defaults to 22050) &#x2014;
The sampling rate for audio data generation.`,name:"sampling_rate"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.time_duration",description:`<strong>time_duration</strong> (<code>float</code>, <em>optional</em> defaults to 5.0) &#x2014;
Total seconds of sampling for audio data generation.`,name:"time_duration"},{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs.frequency",description:`<strong>frequency</strong> (<code>int</code>, <em>optional</em> defaults to 220) &#x2014;
The desired natural frequency of generated audio.`,name:"frequency"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L280",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Mapping[str, Tensor] holding the kwargs to provide to the model’s forward function</p>
`}}),K=new v({props:{name:"generate_dummy_inputs_onnxruntime",anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime",parameters:[{name:"reference_model_inputs",val:": typing.Mapping[str, typing.Any]"}],parametersDescription:[{anchor:"transformers.onnx.OnnxConfig.generate_dummy_inputs_onnxruntime.reference_model_inputs",description:`<strong>reference_model_inputs</strong> ([<code>Mapping[str, Tensor]</code>) &#x2014;
Reference inputs for the model.`,name:"reference_model_inputs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L400",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The mapping holding the kwargs to provide to the model’s forward function</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Mapping[str, Tensor]</code></p>
`}}),Q=new v({props:{name:"use_external_data_format",anchor:"transformers.onnx.OnnxConfig.use_external_data_format",parameters:[{name:"num_parameters",val:": int"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L241",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>True if model.num_parameters() * size_of(float32) >= 2Gb False otherwise</p>
`}}),Y=new he({props:{title:"OnnxConfigWithPast",local:"transformers.onnx.OnnxConfigWithPast",headingTag:"h3"}}),Z=new v({props:{name:"class transformers.onnx.OnnxConfigWithPast",anchor:"transformers.onnx.OnnxConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L443"}}),ee=new v({props:{name:"fill_with_past_key_values_",anchor:"transformers.onnx.OnnxConfigWithPast.fill_with_past_key_values_",parameters:[{name:"inputs_or_outputs",val:": typing.Mapping[str, typing.Mapping[int, str]]"},{name:"direction",val:": str"},{name:"inverted_values_shape",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L550"}}),te=new v({props:{name:"with_past",anchor:"transformers.onnx.OnnxConfigWithPast.with_past",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L454",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>OnnxConfig with <code>.use_past = True</code></p>
`}}),ne=new he({props:{title:"OnnxSeq2SeqConfigWithPast",local:"transformers.onnx.OnnxSeq2SeqConfigWithPast",headingTag:"h3"}}),oe=new v({props:{name:"class transformers.onnx.OnnxSeq2SeqConfigWithPast",anchor:"transformers.onnx.OnnxSeq2SeqConfigWithPast",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str = 'default'"},{name:"patching_specs",val:": typing.List[transformers.onnx.config.PatchingSpec] = None"},{name:"use_past",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/config.py#L590"}}),ae=new he({props:{title:"ONNX Features",local:"onnx-features",headingTag:"h2"}}),ie=new he({props:{title:"FeaturesManager",local:"transformers.onnx.FeaturesManager",headingTag:"h3"}}),me=new v({props:{name:"class transformers.onnx.FeaturesManager",anchor:"transformers.onnx.FeaturesManager",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L85"}}),le=new v({props:{name:"check_supported_model_or_raise",anchor:"transformers.onnx.FeaturesManager.check_supported_model_or_raise",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"feature",val:": str = 'default'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L711",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>(str) The type of the model (OnnxConfig) The OnnxConfig instance holding the model export properties.</p>
`}}),fe=new v({props:{name:"determine_framework",anchor:"transformers.onnx.FeaturesManager.determine_framework",parameters:[{name:"model",val:": str"},{name:"framework",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.determine_framework.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.determine_framework.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See above for priority if none provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L628",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The framework to use for the export.</p>
`}}),de=new v({props:{name:"get_config",anchor:"transformers.onnx.FeaturesManager.get_config",parameters:[{name:"model_type",val:": str"},{name:"feature",val:": str"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_config.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the config for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_config.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature to retrieve the config for.`,name:"feature"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L736",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>config for the combination</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>OnnxConfig</code></p>
`}}),pe=new v({props:{name:"get_model_class_for_feature",anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature",parameters:[{name:"feature",val:": str"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_class_for_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The framework to use for the export.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L601",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The AutoModel class corresponding to the feature.</p>
`}}),ce=new v({props:{name:"get_model_from_feature",anchor:"transformers.onnx.FeaturesManager.get_model_from_feature",parameters:[{name:"feature",val:": str"},{name:"model",val:": str"},{name:"framework",val:": str = None"},{name:"cache_dir",val:": str = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.feature",description:`<strong>feature</strong> (<code>str</code>) &#x2014;
The feature required.`,name:"feature"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.model",description:`<strong>model</strong> (<code>str</code>) &#x2014;
The name of the model to export.`,name:"model"},{anchor:"transformers.onnx.FeaturesManager.get_model_from_feature.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The framework to use for the export. See <code>FeaturesManager.determine_framework</code> for the priority should
none be provided.`,name:"framework"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L678",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The instance of the model.</p>
`}}),ge=new v({props:{name:"get_supported_features_for_model_type",anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type",parameters:[{name:"model_type",val:": str"},{name:"model_name",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_type",description:`<strong>model_type</strong> (<code>str</code>) &#x2014;
The model type to retrieve the supported features for.`,name:"model_type"},{anchor:"transformers.onnx.FeaturesManager.get_supported_features_for_model_type.model_name",description:`<strong>model_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name attribute of the model object, only used for the exception message.`,name:"model_name"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/onnx/features.py#L556",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The dictionary mapping each feature to a corresponding OnnxConfig constructor.</p>
`}}),ue=new $n({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/ja/main_classes/onnx.md"}}),{c(){T=s("meta"),Se=r(),Le=s("p"),Ie=r(),l(V.$$.fragment),We=r(),z=s("p"),z.innerHTML=jt,Ve=r(),H=s("p"),H.innerHTML=Rt,ze=r(),l(X.$$.fragment),He=r(),A=s("p"),A.textContent=Gt,Xe=r(),j=s("ul"),j.innerHTML=Ut,Ae=r(),l(R.$$.fragment),je=r(),h=s("div"),l(G.$$.fragment),gt=r(),xe=s("p"),xe.textContent=Bt,ut=r(),O=s("div"),l(U.$$.fragment),ht=r(),_e=s("p"),_e.textContent=Jt,xt=r(),P=s("div"),l(B.$$.fragment),_t=r(),$e=s("p"),$e.textContent=Kt,$t=r(),k=s("div"),l(J.$$.fragment),vt=r(),ve=s("p"),ve.textContent=Qt,bt=r(),M=s("div"),l(K.$$.fragment),yt=r(),be=s("p"),be.textContent=Yt,Ct=r(),F=s("div"),l(Q.$$.fragment),wt=r(),ye=s("p"),ye.textContent=Zt,Re=r(),l(Y.$$.fragment),Ge=r(),w=s("div"),l(Z.$$.fragment),Tt=r(),q=s("div"),l(ee.$$.fragment),Ot=r(),Ce=s("p"),Ce.textContent=en,Pt=r(),D=s("div"),l(te.$$.fragment),kt=r(),we=s("p"),we.innerHTML=tn,Ue=r(),l(ne.$$.fragment),Be=r(),re=s("div"),l(oe.$$.fragment),Je=r(),l(ae.$$.fragment),Ke=r(),se=s("p"),se.innerHTML=nn,Qe=r(),l(ie.$$.fragment),Ye=r(),x=s("div"),l(me.$$.fragment),Mt=r(),N=s("div"),l(le.$$.fragment),Ft=r(),Te=s("p"),Te.textContent=rn,qt=r(),C=s("div"),l(fe.$$.fragment),Dt=r(),Oe=s("p"),Oe.textContent=on,Nt=r(),Pe=s("p"),Pe.textContent=an,Lt=r(),ke=s("ol"),ke.innerHTML=sn,Et=r(),L=s("div"),l(de.$$.fragment),St=r(),Me=s("p"),Me.textContent=mn,It=r(),E=s("div"),l(pe.$$.fragment),Wt=r(),Fe=s("p"),Fe.textContent=ln,Vt=r(),S=s("div"),l(ce.$$.fragment),zt=r(),qe=s("p"),qe.textContent=fn,Ht=r(),I=s("div"),l(ge.$$.fragment),Xt=r(),De=s("p"),De.textContent=dn,Ze=r(),l(ue.$$.fragment),et=r(),Ee=s("p"),this.h()},l(e){const a=_n("svelte-u9bgzb",document.head);T=i(a,"META",{name:!0,content:!0}),a.forEach(n),Se=o(e),Le=i(e,"P",{}),_(Le).forEach(n),Ie=o(e),f(V.$$.fragment,e),We=o(e),z=i(e,"P",{"data-svelte-h":!0}),u(z)!=="svelte-5rvatf"&&(z.innerHTML=jt),Ve=o(e),H=i(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-mil2iv"&&(H.innerHTML=Rt),ze=o(e),f(X.$$.fragment,e),He=o(e),A=i(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-r4ilu2"&&(A.textContent=Gt),Xe=o(e),j=i(e,"UL",{"data-svelte-h":!0}),u(j)!=="svelte-x1o0ya"&&(j.innerHTML=Ut),Ae=o(e),f(R.$$.fragment,e),je=o(e),h=i(e,"DIV",{class:!0});var b=_(h);f(G.$$.fragment,b),gt=o(b),xe=i(b,"P",{"data-svelte-h":!0}),u(xe)!=="svelte-1gqzpaz"&&(xe.textContent=Bt),ut=o(b),O=i(b,"DIV",{class:!0});var nt=_(O);f(U.$$.fragment,nt),ht=o(nt),_e=i(nt,"P",{"data-svelte-h":!0}),u(_e)!=="svelte-1lfqihc"&&(_e.textContent=Jt),nt.forEach(n),xt=o(b),P=i(b,"DIV",{class:!0});var rt=_(P);f(B.$$.fragment,rt),_t=o(rt),$e=i(rt,"P",{"data-svelte-h":!0}),u($e)!=="svelte-1u54gj1"&&($e.textContent=Kt),rt.forEach(n),$t=o(b),k=i(b,"DIV",{class:!0});var ot=_(k);f(J.$$.fragment,ot),vt=o(ot),ve=i(ot,"P",{"data-svelte-h":!0}),u(ve)!=="svelte-1oyyynq"&&(ve.textContent=Qt),ot.forEach(n),bt=o(b),M=i(b,"DIV",{class:!0});var at=_(M);f(K.$$.fragment,at),yt=o(at),be=i(at,"P",{"data-svelte-h":!0}),u(be)!=="svelte-tenqiw"&&(be.textContent=Yt),at.forEach(n),Ct=o(b),F=i(b,"DIV",{class:!0});var st=_(F);f(Q.$$.fragment,st),wt=o(st),ye=i(st,"P",{"data-svelte-h":!0}),u(ye)!=="svelte-coevd"&&(ye.textContent=Zt),st.forEach(n),b.forEach(n),Re=o(e),f(Y.$$.fragment,e),Ge=o(e),w=i(e,"DIV",{class:!0});var Ne=_(w);f(Z.$$.fragment,Ne),Tt=o(Ne),q=i(Ne,"DIV",{class:!0});var it=_(q);f(ee.$$.fragment,it),Ot=o(it),Ce=i(it,"P",{"data-svelte-h":!0}),u(Ce)!=="svelte-1bh80il"&&(Ce.textContent=en),it.forEach(n),Pt=o(Ne),D=i(Ne,"DIV",{class:!0});var mt=_(D);f(te.$$.fragment,mt),kt=o(mt),we=i(mt,"P",{"data-svelte-h":!0}),u(we)!=="svelte-1kg2yu2"&&(we.innerHTML=tn),mt.forEach(n),Ne.forEach(n),Ue=o(e),f(ne.$$.fragment,e),Be=o(e),re=i(e,"DIV",{class:!0});var pn=_(re);f(oe.$$.fragment,pn),pn.forEach(n),Je=o(e),f(ae.$$.fragment,e),Ke=o(e),se=i(e,"P",{"data-svelte-h":!0}),u(se)!=="svelte-518qzv"&&(se.innerHTML=nn),Qe=o(e),f(ie.$$.fragment,e),Ye=o(e),x=i(e,"DIV",{class:!0});var y=_(x);f(me.$$.fragment,y),Mt=o(y),N=i(y,"DIV",{class:!0});var lt=_(N);f(le.$$.fragment,lt),Ft=o(lt),Te=i(lt,"P",{"data-svelte-h":!0}),u(Te)!=="svelte-rlyyl3"&&(Te.textContent=rn),lt.forEach(n),qt=o(y),C=i(y,"DIV",{class:!0});var W=_(C);f(fe.$$.fragment,W),Dt=o(W),Oe=i(W,"P",{"data-svelte-h":!0}),u(Oe)!=="svelte-rshgf5"&&(Oe.textContent=on),Nt=o(W),Pe=i(W,"P",{"data-svelte-h":!0}),u(Pe)!=="svelte-1wbth9c"&&(Pe.textContent=an),Lt=o(W),ke=i(W,"OL",{"data-svelte-h":!0}),u(ke)!=="svelte-qby6wj"&&(ke.innerHTML=sn),W.forEach(n),Et=o(y),L=i(y,"DIV",{class:!0});var ft=_(L);f(de.$$.fragment,ft),St=o(ft),Me=i(ft,"P",{"data-svelte-h":!0}),u(Me)!=="svelte-il0adz"&&(Me.textContent=mn),ft.forEach(n),It=o(y),E=i(y,"DIV",{class:!0});var dt=_(E);f(pe.$$.fragment,dt),Wt=o(dt),Fe=i(dt,"P",{"data-svelte-h":!0}),u(Fe)!=="svelte-k5ftuy"&&(Fe.textContent=ln),dt.forEach(n),Vt=o(y),S=i(y,"DIV",{class:!0});var pt=_(S);f(ce.$$.fragment,pt),zt=o(pt),qe=i(pt,"P",{"data-svelte-h":!0}),u(qe)!=="svelte-auvjm5"&&(qe.textContent=fn),pt.forEach(n),Ht=o(y),I=i(y,"DIV",{class:!0});var ct=_(I);f(ge.$$.fragment,ct),Xt=o(ct),De=i(ct,"P",{"data-svelte-h":!0}),u(De)!=="svelte-tbalh5"&&(De.textContent=dn),ct.forEach(n),y.forEach(n),Ze=o(e),f(ue.$$.fragment,e),et=o(e),Ee=i(e,"P",{}),_(Ee).forEach(n),this.h()},h(){$(T,"name","hf:doc:metadata"),$(T,"content",bn),$(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,T),m(e,Se,a),m(e,Le,a),m(e,Ie,a),d(V,e,a),m(e,We,a),m(e,z,a),m(e,Ve,a),m(e,H,a),m(e,ze,a),d(X,e,a),m(e,He,a),m(e,A,a),m(e,Xe,a),m(e,j,a),m(e,Ae,a),d(R,e,a),m(e,je,a),m(e,h,a),d(G,h,null),t(h,gt),t(h,xe),t(h,ut),t(h,O),d(U,O,null),t(O,ht),t(O,_e),t(h,xt),t(h,P),d(B,P,null),t(P,_t),t(P,$e),t(h,$t),t(h,k),d(J,k,null),t(k,vt),t(k,ve),t(h,bt),t(h,M),d(K,M,null),t(M,yt),t(M,be),t(h,Ct),t(h,F),d(Q,F,null),t(F,wt),t(F,ye),m(e,Re,a),d(Y,e,a),m(e,Ge,a),m(e,w,a),d(Z,w,null),t(w,Tt),t(w,q),d(ee,q,null),t(q,Ot),t(q,Ce),t(w,Pt),t(w,D),d(te,D,null),t(D,kt),t(D,we),m(e,Ue,a),d(ne,e,a),m(e,Be,a),m(e,re,a),d(oe,re,null),m(e,Je,a),d(ae,e,a),m(e,Ke,a),m(e,se,a),m(e,Qe,a),d(ie,e,a),m(e,Ye,a),m(e,x,a),d(me,x,null),t(x,Mt),t(x,N),d(le,N,null),t(N,Ft),t(N,Te),t(x,qt),t(x,C),d(fe,C,null),t(C,Dt),t(C,Oe),t(C,Nt),t(C,Pe),t(C,Lt),t(C,ke),t(x,Et),t(x,L),d(de,L,null),t(L,St),t(L,Me),t(x,It),t(x,E),d(pe,E,null),t(E,Wt),t(E,Fe),t(x,Vt),t(x,S),d(ce,S,null),t(S,zt),t(S,qe),t(x,Ht),t(x,I),d(ge,I,null),t(I,Xt),t(I,De),m(e,Ze,a),d(ue,e,a),m(e,et,a),m(e,Ee,a),tt=!0},p:gn,i(e){tt||(p(V.$$.fragment,e),p(X.$$.fragment,e),p(R.$$.fragment,e),p(G.$$.fragment,e),p(U.$$.fragment,e),p(B.$$.fragment,e),p(J.$$.fragment,e),p(K.$$.fragment,e),p(Q.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(te.$$.fragment,e),p(ne.$$.fragment,e),p(oe.$$.fragment,e),p(ae.$$.fragment,e),p(ie.$$.fragment,e),p(me.$$.fragment,e),p(le.$$.fragment,e),p(fe.$$.fragment,e),p(de.$$.fragment,e),p(pe.$$.fragment,e),p(ce.$$.fragment,e),p(ge.$$.fragment,e),p(ue.$$.fragment,e),tt=!0)},o(e){c(V.$$.fragment,e),c(X.$$.fragment,e),c(R.$$.fragment,e),c(G.$$.fragment,e),c(U.$$.fragment,e),c(B.$$.fragment,e),c(J.$$.fragment,e),c(K.$$.fragment,e),c(Q.$$.fragment,e),c(Y.$$.fragment,e),c(Z.$$.fragment,e),c(ee.$$.fragment,e),c(te.$$.fragment,e),c(ne.$$.fragment,e),c(oe.$$.fragment,e),c(ae.$$.fragment,e),c(ie.$$.fragment,e),c(me.$$.fragment,e),c(le.$$.fragment,e),c(fe.$$.fragment,e),c(de.$$.fragment,e),c(pe.$$.fragment,e),c(ce.$$.fragment,e),c(ge.$$.fragment,e),c(ue.$$.fragment,e),tt=!1},d(e){e&&(n(Se),n(Le),n(Ie),n(We),n(z),n(Ve),n(H),n(ze),n(He),n(A),n(Xe),n(j),n(Ae),n(je),n(h),n(Re),n(Ge),n(w),n(Ue),n(Be),n(re),n(Je),n(Ke),n(se),n(Qe),n(Ye),n(x),n(Ze),n(et),n(Ee)),n(T),g(V,e),g(X,e),g(R,e),g(G),g(U),g(B),g(J),g(K),g(Q),g(Y,e),g(Z),g(ee),g(te),g(ne,e),g(oe),g(ae,e),g(ie,e),g(me),g(le),g(fe),g(de),g(pe),g(ce),g(ge),g(ue,e)}}}const bn='{"title":"Exporting 🤗 Transformers models to ONNX","local":"exporting--transformers-models-to-onnx","sections":[{"title":"ONNX Configurations","local":"onnx-configurations","sections":[{"title":"OnnxConfig","local":"transformers.onnx.OnnxConfig","sections":[],"depth":3},{"title":"OnnxConfigWithPast","local":"transformers.onnx.OnnxConfigWithPast","sections":[],"depth":3},{"title":"OnnxSeq2SeqConfigWithPast","local":"transformers.onnx.OnnxSeq2SeqConfigWithPast","sections":[],"depth":3}],"depth":2},{"title":"ONNX Features","local":"onnx-features","sections":[{"title":"FeaturesManager","local":"transformers.onnx.FeaturesManager","sections":[],"depth":3}],"depth":2}],"depth":1}';function yn(At){return un(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Pn extends hn{constructor(T){super(),xn(this,T,yn,vn,cn,{})}}export{Pn as component};
